Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

# Class DifferenceFilterManager

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl.DifferenceFilterManager

public class DifferenceFilterManager extends Object
Manager of filters.

This manager handle addition and removal of filters

It also allow to override registered filters with preferences.

## Constructor Summary

Constructors
Constructor
Description
`DifferenceFilterManager(org.eclipse.jface.preference.IPreferenceStore preferenceStore)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clear all registered `IDifferenceFilter`.
`Set<IDifferenceFilter>`
`getAllFilters()`
Get all registered filter.
`Set<IDifferenceFilter>`
`getCurrentByDefaultFilters()`
Get all `IDifferenceFilter` that should be used by default for next comparison.
`Collection<IDeactivableDiffFilter>`
`getCurrentInactiveFilters()`
Get all `IDifferenceFilter` that should be disabled for next comparison.
`Set<IDifferenceFilter>`
`getInitialByDefaultFilters()`
`Set` of `IDifferenceFilter` that are initially enabled by default.
`void`
`setCurrentActiveFilters(Set<IDifferenceFilter> activeFilters)`
Set the filters that should be active for the next comparison.
`void`
`setCurrentByDefaultFilters(Set<IDifferenceFilter> enabledFilter)`
Set the filters that should be used by default for next comparison.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DifferenceFilterManager

public DifferenceFilterManager(org.eclipse.jface.preference.IPreferenceStore preferenceStore)
Constructor.

Parameters:
  `preferenceStore` - The `IPreferenceStore` holding the value for filter preferences.

## Method Details

### getCurrentByDefaultFilters

public Set<IDifferenceFilter> getCurrentByDefaultFilters()
Get all `IDifferenceFilter` that should be used by default for next comparison.

Returns:
  A `Collection` of `IDifferenceFilter` that should be used by default for next comparison.

### getCurrentInactiveFilters

public Collection<IDeactivableDiffFilter> getCurrentInactiveFilters()
Get all `IDifferenceFilter` that should be disabled for next comparison.

Returns:
  A `Collection` of `IDifferenceFilter` that should be disabled for next comparison.

### getInitialByDefaultFilters

public Set<IDifferenceFilter> getInitialByDefaultFilters()
`Set` of `IDifferenceFilter` that are initially enabled by default.

During the first addiction in the registry of these `IDifferenceFilter`, `IDifferenceFilter.defaultSelected()` was equal to true

Returns:
  `Set` of `IDifferenceFilter` that are original enabled by default.

### setCurrentByDefaultFilters

public void setCurrentByDefaultFilters(Set<IDifferenceFilter> enabledFilter)
Set the filters that should be used by default for next comparison.

Parameters:
  `enabledFilter` - `Set` of `IDifferenceFilter` to set.

### setCurrentActiveFilters

public void setCurrentActiveFilters(Set<IDifferenceFilter> activeFilters)
Set the filters that should be active for the next comparison.

Parameters:
  `activeFilters` - `Set` of `IDifferenceFilter` to set.

### getAllFilters

public Set<IDifferenceFilter> getAllFilters()
Get all registered filter.

Returns:
  `Set` of all filter.

### clear

public void clear()
Clear all registered `IDifferenceFilter`.